Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputPassportElementErrorSourceReverseSide

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputPassportElementErrorSource
it.tdlight.jni.TdApi.InputPassportElementErrorSourceReverseSide

Enclosing class:
  TdApi

public static final class TdApi.InputPassportElementErrorSourceReverseSide extends TdApi.InputPassportElementErrorSource
The reverse side of the document contains an error. The error is considered resolved when the file with the reverse side of the document changes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`byte[]`
`fileHash`
Current hash of the file containing the reverse side.

## Constructor Summary

Constructors
Constructor
Description
`InputPassportElementErrorSourceReverseSide()`
The reverse side of the document contains an error.
`InputPassportElementErrorSourceReverseSide(byte[] fileHash)`
The reverse side of the document contains an error.
`InputPassportElementErrorSourceReverseSide(DataInput input)`
The reverse side of the document contains an error.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileHash

public byte[] fileHash
Current hash of the file containing the reverse side.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputPassportElementErrorSourceReverseSide

public InputPassportElementErrorSourceReverseSide()
The reverse side of the document contains an error. The error is considered resolved when the file with the reverse side of the document changes.

### InputPassportElementErrorSourceReverseSide

public InputPassportElementErrorSourceReverseSide(byte[] fileHash)
The reverse side of the document contains an error. The error is considered resolved when the file with the reverse side of the document changes.

Parameters:
  `fileHash` - byte[] Current hash of the file containing the reverse side.

### InputPassportElementErrorSourceReverseSide

public InputPassportElementErrorSourceReverseSide(DataInput input) throws IOException
The reverse side of the document contains an error. The error is considered resolved when the file with the reverse side of the document changes.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`